<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>be.percil.koro</groupId>
        <artifactId>koro</artifactId>
        <version>1.0.0-SNAPSHOT</version>
    </parent>

    <groupId>be.percil.koro</groupId>
    <artifactId>koro-mappers</artifactId>

    <name>Koro :: Common</name>
    <description>Koro is a kickstart helper for Spring Boot projects.</description>

    <properties>
        <java.version>1.8</java.version>
        <querydsl.version>4.2.1</querydsl.version>
    </properties>

    <dependencies>

        <!-- Koro -->
        <dependency>
            <groupId>be.percil.koro</groupId>
            <artifactId>koro-bo</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>be.percil.koro</groupId>
            <artifactId>koro-jpa-entities</artifactId>
            <version>${project.version}</version>
        </dependency>

        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <optional>true</optional>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
            <exclusions>
                <exclusion>
                    <groupId>org.junit.vintage</groupId>
                    <artifactId>junit-vintage-engine</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
    </dependencies>

    <build>
        <extensions>
            <!-- Package Cloud -->
            <extension>
                <groupId>io.packagecloud.maven.wagon</groupId>
                <artifactId>maven-packagecloud-wagon</artifactId>
                <version>0.0.6</version>
            </extension>
        </extensions>

        <plugins>
            <!-- QueryDSL -->
            <plugin>
                <groupId>com.mysema.maven</groupId>
                <artifactId>apt-maven-plugin</artifactId>
                <version>1.1.3</version>
                <executions>
                    <execution>
                        <goals>
                            <goal>process</goal>
                        </goals>
                        <configuration>
                            <outputDirectory>target/generated-sources/java</outputDirectory>
                            <processor>com.querydsl.apt.jpa.JPAAnnotationProcessor</processor>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>

    <repositories>
        <repository>
            <id>packagecloud-percil</id>
            <url>https://packagecloud.io/percil/public/maven2</url>
            <releases>
                <enabled>true</enabled>
            </releases>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
        </repository>
    </repositories>

    <distributionManagement>
        <repository>
            <id>packagecloud-percil</id>
            <url>packagecloud+https://packagecloud.io/percil/public</url>
        </repository>
        <snapshotRepository>
            <id>packagecloud-percil</id>
            <url>packagecloud+https://packagecloud.io/percil/public</url>
        </snapshotRepository>
    </distributionManagement>

</project>
